This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 239255 - Postfix fails to start
Postfix fails to start
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: postfix (Show other bugs)
7
All Linux
medium Severity medium
: ---
: ---
Assigned To: Thomas Woerner
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-05-06 23:37 EDT by Doncho N. Gunchev
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-06-03 16:19:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Doncho N. Gunchev 2007-05-06 23:37:30 EDT
Description of problem:
Postfix fails to start at system boot

Version-Release number of selected component (if applicable):
postfix-2.3.6-1

How reproducible:
Install Fedora 7t4 from the live KDE CD, remove sendmail and add postfix

Steps to Reproduce:
1. Install Fedora 7t4 from the live KDE CD
2. yum shell
3. remove sendmail
4. install postfix
5. run
6. reboot

Actual results:
Postfix fails

Expected results:
Postfix works

Additional info:
I have selinux running in permissive mode, but I get the following:
type=AVC msg=audit(1178508473.360:295): avc:  denied  { append } for  pid=3650
comm="local" name="root" dev=dm-2 ino=19231
scontext=user_u:system_r:postfix_local_t:s0
tcontext=system_u:object_r:mail_spool_t:s0 tclass=file
type=SYSCALL msg=audit(1178508473.360:295): arch=40000003 syscall=5 success=yes
exit=13 a0=80d24188 a1=c01 a2=0 a3=0 items=0 ppid=3643 pid=3650 auid=700 uid=0
gid=0 euid=0 suid=0 fsuid=0 egid=12 sgid=0 fsgid=12 tty=(none) comm="local"
exe="/usr/libexec/postfix/local" subj=user_u:system_r:postfix_local_t:s0 key=(null)

After the system starts and I login I can 'service postfix start' without problems.
Comment 1 Doncho N. Gunchev 2007-06-01 12:50:50 EDT
With F7 the problem remains (changing from devel to F7). Is my installation
broken somehow or no one else uses postfix?
Comment 2 Doncho N. Gunchev 2007-06-03 16:19:38 EDT
My install seems to have been broken somehow, reinstalled from F7 KDE LiveCD and
how it works...

Note You need to log in before you can comment on or make changes to this bug.